%global srcname rpdb
%global sum A wrapper around pdb allowing remote debugging


Name: python-%{srcname}
Version: 0.1.6
Release: 2%{?dist}
Summary: %{sum}
License: BSD
URL: https://github.com/tamentis/%{srcname}
Source0: https://github.com/tamentis/%{srcname}/archive/%{version}.tar.gz
BuildArch: noarch
BuildRequires: python2-devel python3-devel


%description
A wrapper around pdb allowing remote debugging via netcat or telnet.
This is especially useful in a Tomcat/Jython environment where little
debugging tools are available.


%package -n python2-%{srcname}
Summary: %{sum}
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
A wrapper around pdb allowing remote debugging via netcat or telnet.
This is especially useful in a Tomcat/Jython environment where little
debugging tools are available.


%package -n python3-%{srcname}
Summary: %{sum}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
A wrapper around pdb allowing remote debugging via netcat or telnet.
This is especially useful in a Tomcat/Jython environment where little
debugging tools are available.


%prep
%autosetup -n %{srcname}-%{version}


%build
%py2_build
%py3_build


%install
%py2_install
%py3_install


%files -n python2-%{srcname}
%license LICENSE.txt
%doc README.rst
%{python2_sitelib}/%{srcname}
%{python2_sitelib}/*.egg-info


%files -n python3-%{srcname}
%license LICENSE.txt
%doc README.rst
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/*.egg-info


%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jan 06 2016 Randy Barlow <randy@electronsweatshop.com> 0.1.6-1
- Release 0.1.6, which introduces the handle_trap() feature.

* Mon Nov 23 2015 Randy Barlow <randy@electronsweatshop.com> 0.1.5-2
- Include more explicit paths in the files section.

* Fri Nov 20 2015 Randy Barlow <randy@electronsweatshop.com> 0.1.5-1
- Initial release
